## org.hibernate
Class TransientObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.TransientObjectException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TransientPropertyValueException

    public class TransientObjectException

extends HibernateException

Thrown when the user passes a transient instance to a `Session` method that expects a persistent instance.

See Also:
  Serialized Form

Constructor Summary
`TransientObjectException(String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransientObjectException

    public TransientObjectException(String s)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.